#!./driver

; Displays the color of the specified RGB value
; Sample call: 
;   color.scm 00ffcc
;
; It requires Bigloo http://kaolin.unice.fr/bigloo/
;  and bigloo-lib http://http://ftp1.sourceforge.net/bigloo-lib/
; tested versions are 2.2b and 0.15pl1 respectively
; It may be interpreted by bigloo-lib/gd/driver, 
;  which is also downloadable as 
;  http://pair.com/lisovsky/download/gd-driver.tgz
;
; KL Sun Mar 25 22:06:39 2001

(let ((im (gd-image-create 256 256))
      (color (caddr (command-line))))
  (gd-image-color-allocate 
    im 
    (string->number (substring color 0 2) 16)
    (string->number (substring color 2 4) 16)
    (string->number (substring color 4 6) 16))
  (gd-image-write-gif im "color.gif"))
  (system "display color.gif")
;  (system "gqview color.gif")
; ... or some another image viewer
