#!./driver

; Slightly extended Scheme version of the example from GD manual.
;
; It requires Bigloo http://kaolin.unice.fr/bigloo/
;  and bigloo-lib http://http://ftp1.sourceforge.net/bigloo-lib/
; tested versions are 2.2b and 0.15pl1 respectively
; It may be interpreted by bigloo-lib/gd/driver, 
;  which is also downloadable as 
;  http://pair.com/lisovsky/download/gd-driver.tgz
;
;KL Sun Mar 25 22:03:19 2001

(let* ((im (gd-image-create 64 64))
       (black   (gd-image-color-allocate im 0    0    0))
       (red     (gd-image-color-allocate im #xff 0    0))
       (green   (gd-image-color-allocate im 0    #xff 0))
       (blue    (gd-image-color-allocate im 0    0    #xff))
       (yellow  (gd-image-color-allocate im #xff #xff 0)))
  (gd-image-line im 0 0 63 63 blue)
  (gd-image-string im *gd-font-small* 24 6 "Bigloo" red)
  (gd-image-string im *gd-font-medium-bold* 40 20 "lib" yellow)
  (gd-image-string im *gd-font-giant* 12 36 "GD" green)
  (gd-image-write-gif im "example.gif"))

